Subject: Re: bug#22344: 25.0.50 (and 24.5.1, 24.4); Sending 4097 bytes to a subprocess hangs Emacs on Windows 8 and 10

From: Clément Pit--Claudel <[email-masked]>
Date: Mon, 11 Jan 2016 11:52:15 -0500

On 01/11/2016 11:31 AM, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Clément Pit--Claudel <[email-masked]>
>> Date: Mon, 11 Jan 2016 11:11:42 -0500
>>
>> Thanks for looking into this. Would a recipe requiring node.js and jshint be too much? Node.js has a windows installer and jshint can be installed with npm install --global jshint.
> 
> I'd prefer a program that doesn't need to be installed, and ideally
> in a language I could hack, if the problem is on the other side.
> 
> What's so special about these programs that they behave differently
> from 'cat' etc.?  What language are they written in?

I have no idea: I don't write Javascript, I don't use node, and I don't run Windows :/ node.js seems to be written in C.
I will try to remove the jshint dependency, at least.

Cheers,
Clément.